Page MenuHomeFreeBSD

Remove dependency on gcc
ClosedPublic

Authored by sbruno on Sep 3 2014, 5:35 PM.

Details

Reviewers
bapt
bdrewery
Summary

Add explicit declaration on needed features and modify code to work with clang. Upstream seems to have gone quiet so, this should be a local patch.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

sbruno updated this revision to Diff 1349.Sep 3 2014, 5:35 PM
sbruno retitled this revision from to Remove dependency on gcc.
sbruno updated this object.
sbruno edited the test plan for this revision. (Show Details)
bdrewery requested changes to this revision.Sep 11 2014, 11:19 PM
bdrewery edited edge metadata.

Do you have a log of the build failure? I'm curious to see it.

devel/google-sparsehash/files/patch-src-sparsehash-internal-sparsehashtable.h
8 ↗(On Diff #1349)

It's picky, but can you fix the indentation for all of these changes? Will make it easier to upstream.

This revision now requires changes to proceed.Sep 11 2014, 11:19 PM

I can make one, but I don't have one. :-)

This is of interest to me two-fold, its a dependency for clementine-player and its allows a package to be built on ARM

sbruno updated this revision to Diff 1611.Sep 13 2014, 4:30 PM
sbruno edited edge metadata.

Patch cleanup and whitespace things

bdrewery accepted this revision.Sep 15 2014, 3:29 PM
bdrewery edited edge metadata.

Approved. You can also add 'Approved by: maintainer timeout'

This revision is now accepted and ready to land.Sep 15 2014, 3:29 PM
sbruno closed this revision.Sep 15 2014, 3:35 PM

Committed at svn r368270